Package org.apache.lucene.codecs.lucene90

# Class Lucene90PointsWriter

java.lang.Object
org.apache.lucene.codecs.PointsWriter
org.apache.lucene.codecs.lucene90.Lucene90PointsWriter

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class Lucene90PointsWriter extends PointsWriter
Writes dimensional values

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final IndexOutput`
`dataOut`
Outputs used to write the BKD tree data files.
`protected final IndexOutput`
`indexOut`
Outputs used to write the BKD tree data files.
`protected final IndexOutput`
`metaOut`
Outputs used to write the BKD tree data files.

## Constructor Summary

Constructors
Constructor
Description
`Lucene90PointsWriter(SegmentWriteState writeState)`
Uses the defaults values for `maxPointsInLeafNode` (512) and `maxMBSortInHeap` (16.0)
`Lucene90PointsWriter(SegmentWriteState writeState, int maxPointsInLeafNode, double maxMBSortInHeap)`
Full constructor

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`finish()`
Called once at the end before close
`void`
`merge(MergeState mergeState)`
Default merge implementation to merge incoming points readers by visiting all their points and adding to this writer
`void`
`writeField(FieldInfo fieldInfo, PointsReader reader)`
Write all values contained in the provided reader

### Methods inherited from class org.apache.lucene.codecs.PointsWriter

`mergeOneField`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### metaOut

protected final IndexOutput metaOut
Outputs used to write the BKD tree data files.

### indexOut

protected final IndexOutput indexOut
Outputs used to write the BKD tree data files.

### dataOut

protected final IndexOutput dataOut
Outputs used to write the BKD tree data files.

## Constructor Details

### Lucene90PointsWriter

public Lucene90PointsWriter(SegmentWriteState writeState, int maxPointsInLeafNode, double maxMBSortInHeap) throws IOException
Full constructor

Throws:
  `IOException`

### Lucene90PointsWriter

public Lucene90PointsWriter(SegmentWriteState writeState) throws IOException
Uses the defaults values for `maxPointsInLeafNode` (512) and `maxMBSortInHeap` (16.0)

Throws:
  `IOException`

## Method Details

### writeField

public void writeField(FieldInfo fieldInfo, PointsReader reader) throws IOException
Description copied from class: `PointsWriter`
Write all values contained in the provided reader

Specified by:
  `writeField` in class `PointsWriter`
Throws:
  `IOException`

### merge

public void merge(MergeState mergeState) throws IOException
Description copied from class: `PointsWriter`
Default merge implementation to merge incoming points readers by visiting all their points and adding to this writer

Overrides:
  `merge` in class `PointsWriter`
Throws:
  `IOException`

### finish

public void finish() throws IOException
Description copied from class: `PointsWriter`
Called once at the end before close

Specified by:
  `finish` in class `PointsWriter`
Throws:
  `IOException`

### close

public void close() throws IOException

Throws:
  `IOException`